liblastfm_fingerprint5-1-1.0.9+20150206-ku.5.5.x86_64.rpm


Advertisement

Description

liblastfm_fingerprint5-1 - A Qt C++ Library for the Last.fm Webservices

Property Value
Distribution openSUSE Tumbleweed
Repository KDE Unstable all
Package filename liblastfm_fingerprint5-1-1.0.9+20150206-ku.5.5.x86_64.rpm
Package name liblastfm_fingerprint5-1
Package version 1.0.9+20150206
Package release ku.5.5
Package architecture x86_64
Package type rpm
Category System/Libraries
Homepage https://github.com/lastfm/liblastfm/
License GPL-3.0-or-later
Maintainer -
Download size 53.59 KB
Installed size 125.88 KB
liblastfm is a collection of libraries to help you integrate Last.fm services
into your rich desktop software. It is officially supported software developed
by Last.fm staff.

Alternatives

Package Version Architecture Repository
liblastfm_fingerprint5-1-1.0.9+20150206-19.17.x86_64.rpm 1.0.9+20150206 x86_64 KDE 5
liblastfm_fingerprint5-1-1.0.9+20150206-19.17.i586.rpm 1.0.9+20150206 i586 KDE 5
liblastfm_fingerprint5-1-1.0.9+20150206-3.4.x86_64.rpm 1.0.9+20150206 x86_64 openSUSE Oss
liblastfm_fingerprint5-1-1.0.9+20150206-3.4.i586.rpm 1.0.9+20150206 i586 openSUSE Oss
liblastfm_fingerprint5-1-1.0.9+20150206-ku.5.5.i586.rpm 1.0.9+20150206 i586 KDE Unstable
liblastfm_fingerprint5-1 - - -

Requires

Name Value
/sbin/ldconfig -
libQt5Core.so.5()(64bit) -
libQt5Core.so.5(Qt_5)(64bit) -
libQt5Core.so.5(Qt_5.12)(64bit) -
libQt5Network.so.5()(64bit) -
libQt5Network.so.5(Qt_5)(64bit) -
libQt5Sql.so.5()(64bit) -
libQt5Sql.so.5(Qt_5)(64bit) -
libc.so.6(GLIBC_2.14)(64bit) -
libfftw3f.so.3()(64bit) -
libgcc_s.so.1()(64bit) -
libgcc_s.so.1(GCC_3.0)(64bit) -
liblastfm5.so.1()(64bit) -
libm.so.6()(64bit) -
libm.so.6(GLIBC_2.2.5)(64bit) -
libm.so.6(GLIBC_2.29)(64bit) -
libsamplerate.so.0()(64bit) -
libsamplerate.so.0(libsamplerate.so.0.0)(64bit) -
libsamplerate.so.0(libsamplerate.so.0.1)(64bit) -
libstdc++.so.6()(64bit) -
libstdc++.so.6(CXXABI_1.3)(64bit) -
libstdc++.so.6(CXXABI_1.3.8)(64bit) -
libstdc++.so.6(GLIBCXX_3.4)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.11)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.21)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.9)(64bit) -

Provides

Name Value
liblastfm_fingerprint5-1 = 1.0.9+20150206-ku.5.5
liblastfm_fingerprint5-1(x86-64) = 1.0.9+20150206-ku.5.5
liblastfm_fingerprint5.so.1()(64bit) -

Download

Type URL
Mirror widehat.opensuse.org
Binary Package liblastfm_fingerprint5-1-1.0.9+20150206-ku.5.5.x86_64.rpm
Source Package liblastfm-qt5-1.0.9+20150206-ku.5.5.src.rpm

Install Howto

  1. Add the KDE Unstable repository:
    # zypper addrepo http://widehat.opensuse.org/opensuse/repositories/KDE:/Unstable:/Qt/openSUSE_Tumbleweed/ kde-unstable
  2. Install liblastfm_fingerprint5-1 rpm package:
    # zypper install liblastfm_fingerprint5-1

Files

Path
/usr/lib64/liblastfm_fingerprint5.so.1
/usr/lib64/liblastfm_fingerprint5.so.1.1.0
/usr/share/licenses/liblastfm_fingerprint5-1/COPYING

Changelog

2018-05-24 - christophe@krop.fr
- Add patches to fix build with Qt 5.11:
* 0001-Make-Qt5-build-default-and-simplify-logic-add-missin.patch
* 0004-Fix-build-with-Qt-5.11_beta3-drop-qt5_use_modules.patch
2016-05-08 - mpluskal@suse.com
- Use cmake macro
- Small spec file cleanup with spec-cleaner
2015-02-06 - dev@dominik-schmidt.de
- Update to 1.0.9+20150206:
* Changes include dir from lastfm/ to lastfm5/ to make Qt4 and Qt5
devel packages coinstallable
2014-10-22 - hrvoje.senjan@gmail.com
- Update to 1.0.9:
* Linux build fixes and Qt5 compatibility
- Activate and rename Qt5 variant of the package
2013-11-07 - hrvoje.senjan@gmail.com
- Update to 1.0.8:
* Bugfix release, no changelog provided
* Ability to build the library against Qt5 (disabled for now)
2013-03-03 - asterios.dramis@gmail.com
- Update to 1.0.7:
Changelog not available.
- Removed liblastfm-fix-no-return-in-nonvoid-function.diff patch (fixed
upstream).
- Removed fdupes build requirement (not needed).
2012-09-06 - dmueller@suse.com
- rename it back to liblastfm-devel
2012-08-23 - dev@dominik-schmidt.de
- fix no-return-in-nonvoid-function issue
2012-08-23 - dev@dominik-schmidt.de
- Update to 1.0.2
* liblastfm_fingerprint is now built on default
* slightly extended api
* bugfixes
2012-08-23 - dev@dominik-schmidt.de
- also rename the devel package to liblastfm1-devel and make it
conflict with the liblastfm-devel package

See Also

Package Description
liblastfm_fingerprint5-1-32bit-1.0.9+20150206-ku.5.5.x86_64.rpm A Qt C++ Library for the Last.fm Webservices
libmlt++-devel-6.14.0-ku.2.1.i586.rpm Development files for MLT's C++ language API
libmlt++-devel-6.14.0-ku.2.1.x86_64.rpm Development files for MLT's C++ language API
libmlt++3-6.14.0-ku.2.1.i586.rpm C++ library API for the MLT multimedia framework
libmlt++3-6.14.0-ku.2.1.x86_64.rpm C++ library API for the MLT multimedia framework
libmlt-devel-6.14.0-ku.2.1.i586.rpm Development files for MLT's C language API
libmlt-devel-6.14.0-ku.2.1.x86_64.rpm Development files for MLT's C language API
libmlt6-6.14.0-ku.2.1.i586.rpm C library API for the MLT multimedia framework
libmlt6-6.14.0-ku.2.1.x86_64.rpm C library API for the MLT multimedia framework
libmlt6-data-6.14.0-ku.2.1.noarch.rpm Architecture-independent data files for the MLT multimedia framework
libmlt6-modules-6.14.0-ku.2.1.i586.rpm Modules for the MLT multimedia framework
libmlt6-modules-6.14.0-ku.2.1.x86_64.rpm Modules for the MLT multimedia framework
libmygpo-qt5-1-1.1.0-ku.4.4.i586.rpm Qt Library that wraps the gpodder.net Web API
libmygpo-qt5-1-1.1.0-ku.4.4.x86_64.rpm Qt Library that wraps the gpodder.net Web API
libmygpo-qt5-devel-1.1.0-ku.4.4.i586.rpm Qt Library that wraps the gpodder.net Web API
Advertisement
Advertisement